source: squid-ssl/trunk/fuentes/helpers/external_acl/AD_group/Makefile @ 5495

Last change on this file since 5495 was 5495, checked in by Juanma, 22 months ago

Initial release

File size: 42.7 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# helpers/external_acl/AD_group/Makefile.  Generated from Makefile.in by configure.
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15
16
17
18am__is_gnu_make = { \
19  if test -z '$(MAKELEVEL)'; then \
20    false; \
21  elif test -n '$(MAKE_HOST)'; then \
22    true; \
23  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24    true; \
25  else \
26    false; \
27  fi; \
28}
29am__make_running_with_option = \
30  case $${target_option-} in \
31      ?) ;; \
32      *) echo "am__make_running_with_option: internal error: invalid" \
33              "target option '$${target_option-}' specified" >&2; \
34         exit 1;; \
35  esac; \
36  has_opt=no; \
37  sane_makeflags=$$MAKEFLAGS; \
38  if $(am__is_gnu_make); then \
39    sane_makeflags=$$MFLAGS; \
40  else \
41    case $$MAKEFLAGS in \
42      *\\[\ \   ]*) \
43        bs=\\; \
44        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
46    esac; \
47  fi; \
48  skip_next=no; \
49  strip_trailopt () \
50  { \
51    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52  }; \
53  for flg in $$sane_makeflags; do \
54    test $$skip_next = yes && { skip_next=no; continue; }; \
55    case $$flg in \
56      *=*|--*) continue;; \
57        -*I) strip_trailopt 'I'; skip_next=yes;; \
58      -*I?*) strip_trailopt 'I';; \
59        -*O) strip_trailopt 'O'; skip_next=yes;; \
60      -*O?*) strip_trailopt 'O';; \
61        -*l) strip_trailopt 'l'; skip_next=yes;; \
62      -*l?*) strip_trailopt 'l';; \
63      -[dEDm]) skip_next=yes;; \
64      -[JT]) skip_next=yes;; \
65    esac; \
66    case $$flg in \
67      *$$target_option*) has_opt=yes; break;; \
68    esac; \
69  done; \
70  test $$has_opt = yes
71am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73pkgdatadir = $(datadir)/squid
74pkgincludedir = $(includedir)/squid
75pkglibdir = $(libdir)/squid
76pkglibexecdir = $(libexecdir)/squid
77am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78install_sh_DATA = $(install_sh) -c -m 644
79install_sh_PROGRAM = $(install_sh) -c
80install_sh_SCRIPT = $(install_sh) -c
81INSTALL_HEADER = $(INSTALL_DATA)
82transform = $(program_transform_name)
83NORMAL_INSTALL = :
84PRE_INSTALL = :
85POST_INSTALL = :
86NORMAL_UNINSTALL = :
87PRE_UNINSTALL = :
88POST_UNINSTALL = :
89build_triplet = x86_64-pc-linux-gnu
90host_triplet = x86_64-pc-linux-gnu
91check_PROGRAMS =
92TESTS =
93am__append_1 = $(INCLTDL)
94libexec_PROGRAMS = ext_ad_group_acl$(EXEEXT)
95subdir = helpers/external_acl/AD_group
96ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
97am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
98        $(top_srcdir)/acinclude/init.m4 \
99        $(top_srcdir)/acinclude/squid-util.m4 \
100        $(top_srcdir)/acinclude/compiler-flags.m4 \
101        $(top_srcdir)/acinclude/os-deps.m4 \
102        $(top_srcdir)/acinclude/krb5.m4 $(top_srcdir)/acinclude/pam.m4 \
103        $(top_srcdir)/acinclude/pkg.m4 \
104        $(top_srcdir)/acinclude/lib-checks.m4 \
105        $(top_srcdir)/acinclude/ax_cxx_compile_stdcxx_11.m4 \
106        $(top_srcdir)/acinclude/ax_cxx_0x_types.m4 \
107        $(top_srcdir)/helpers/basic_auth/modules.m4 \
108        $(top_srcdir)/helpers/basic_auth/DB/required.m4 \
109        $(top_srcdir)/helpers/basic_auth/LDAP/required.m4 \
110        $(top_srcdir)/helpers/basic_auth/MSNT-multi-domain/required.m4 \
111        $(top_srcdir)/helpers/basic_auth/NCSA/required.m4 \
112        $(top_srcdir)/helpers/basic_auth/NIS/required.m4 \
113        $(top_srcdir)/helpers/basic_auth/PAM/required.m4 \
114        $(top_srcdir)/helpers/basic_auth/POP3/required.m4 \
115        $(top_srcdir)/helpers/basic_auth/RADIUS/required.m4 \
116        $(top_srcdir)/helpers/basic_auth/SASL/required.m4 \
117        $(top_srcdir)/helpers/basic_auth/SMB/required.m4 \
118        $(top_srcdir)/helpers/basic_auth/SMB_LM/required.m4 \
119        $(top_srcdir)/helpers/basic_auth/SSPI/required.m4 \
120        $(top_srcdir)/helpers/basic_auth/fake/required.m4 \
121        $(top_srcdir)/helpers/basic_auth/getpwnam/required.m4 \
122        $(top_srcdir)/helpers/digest_auth/modules.m4 \
123        $(top_srcdir)/helpers/digest_auth/LDAP/required.m4 \
124        $(top_srcdir)/helpers/digest_auth/eDirectory/required.m4 \
125        $(top_srcdir)/helpers/digest_auth/file/required.m4 \
126        $(top_srcdir)/helpers/negotiate_auth/modules.m4 \
127        $(top_srcdir)/helpers/negotiate_auth/SSPI/required.m4 \
128        $(top_srcdir)/helpers/negotiate_auth/kerberos/required.m4 \
129        $(top_srcdir)/helpers/negotiate_auth/wrapper/required.m4 \
130        $(top_srcdir)/helpers/ntlm_auth/modules.m4 \
131        $(top_srcdir)/helpers/ntlm_auth/fake/required.m4 \
132        $(top_srcdir)/helpers/ntlm_auth/SSPI/required.m4 \
133        $(top_srcdir)/helpers/ntlm_auth/smb_lm/required.m4 \
134        $(top_srcdir)/helpers/log_daemon/modules.m4 \
135        $(top_srcdir)/helpers/log_daemon/DB/required.m4 \
136        $(top_srcdir)/helpers/log_daemon/file/required.m4 \
137        $(top_srcdir)/helpers/external_acl/modules.m4 \
138        $(top_srcdir)/helpers/external_acl/AD_group/required.m4 \
139        $(top_srcdir)/helpers/external_acl/LDAP_group/required.m4 \
140        $(top_srcdir)/helpers/external_acl/LM_group/required.m4 \
141        $(top_srcdir)/helpers/external_acl/delayer/required.m4 \
142        $(top_srcdir)/helpers/external_acl/SQL_session/required.m4 \
143        $(top_srcdir)/helpers/external_acl/eDirectory_userip/required.m4 \
144        $(top_srcdir)/helpers/external_acl/file_userip/required.m4 \
145        $(top_srcdir)/helpers/external_acl/kerberos_ldap_group/required.m4 \
146        $(top_srcdir)/helpers/external_acl/session/required.m4 \
147        $(top_srcdir)/helpers/external_acl/time_quota/required.m4 \
148        $(top_srcdir)/helpers/external_acl/unix_group/required.m4 \
149        $(top_srcdir)/helpers/external_acl/wbinfo_group/required.m4 \
150        $(top_srcdir)/helpers/url_rewrite/modules.m4 \
151        $(top_srcdir)/helpers/url_rewrite/fake/required.m4 \
152        $(top_srcdir)/helpers/storeid_rewrite/modules.m4 \
153        $(top_srcdir)/helpers/storeid_rewrite/file/required.m4 \
154        $(top_srcdir)/configure.ac
155am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
156        $(ACLOCAL_M4)
157DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
158mkinstalldirs = $(install_sh) -d
159CONFIG_HEADER = $(top_builddir)/include/autoconf.h
160CONFIG_CLEAN_FILES =
161CONFIG_CLEAN_VPATH_FILES =
162am__installdirs = "$(DESTDIR)$(libexecdir)" "$(DESTDIR)$(man8dir)"
163PROGRAMS = $(libexec_PROGRAMS)
164am_ext_ad_group_acl_OBJECTS = ext_ad_group_acl.$(OBJEXT)
165ext_ad_group_acl_OBJECTS = $(am_ext_ad_group_acl_OBJECTS)
166ext_ad_group_acl_LDADD = $(LDADD)
167#am__DEPENDENCIES_1 = $(top_builddir)/lib/profiler/libprofiler.la
168am__DEPENDENCIES_2 = $(top_builddir)/compat/libcompat-squid.la \
169        $(am__DEPENDENCIES_1)
170am__DEPENDENCIES_3 =
171ext_ad_group_acl_DEPENDENCIES = $(am__DEPENDENCIES_2) \
172        $(am__DEPENDENCIES_3)
173AM_V_lt = $(am__v_lt_$(V))
174am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
175am__v_lt_0 = --silent
176am__v_lt_1 = 
177AM_V_P = $(am__v_P_$(V))
178am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
179am__v_P_0 = false
180am__v_P_1 = :
181AM_V_GEN = $(am__v_GEN_$(V))
182am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
183am__v_GEN_0 = @echo "  GEN     " $@;
184am__v_GEN_1 = 
185AM_V_at = $(am__v_at_$(V))
186am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
187am__v_at_0 = @
188am__v_at_1 = 
189DEFAULT_INCLUDES = 
190depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
191am__depfiles_maybe = depfiles
192am__mv = mv -f
193CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
194        $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
195LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
196        $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
197        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
198        $(AM_CXXFLAGS) $(CXXFLAGS)
199AM_V_CXX = $(am__v_CXX_$(V))
200am__v_CXX_ = $(am__v_CXX_$(AM_DEFAULT_VERBOSITY))
201am__v_CXX_0 = @echo "  CXX     " $@;
202am__v_CXX_1 = 
203CXXLD = $(CXX)
204CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
205        $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
206        $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
207AM_V_CXXLD = $(am__v_CXXLD_$(V))
208am__v_CXXLD_ = $(am__v_CXXLD_$(AM_DEFAULT_VERBOSITY))
209am__v_CXXLD_0 = @echo "  CXXLD   " $@;
210am__v_CXXLD_1 = 
211SOURCES = $(ext_ad_group_acl_SOURCES)
212DIST_SOURCES = $(ext_ad_group_acl_SOURCES)
213am__can_run_installinfo = \
214  case $$AM_UPDATE_INFO_DIR in \
215    n|no|NO) false;; \
216    *) (install-info --version) >/dev/null 2>&1;; \
217  esac
218am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
219am__vpath_adj = case $$p in \
220    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
221    *) f=$$p;; \
222  esac;
223am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
224am__install_max = 40
225am__nobase_strip_setup = \
226  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
227am__nobase_strip = \
228  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
229am__nobase_list = $(am__nobase_strip_setup); \
230  for p in $$list; do echo "$$p $$p"; done | \
231  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
232  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
233    if (++n[$$2] == $(am__install_max)) \
234      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
235    END { for (dir in files) print dir, files[dir] }'
236am__base_list = \
237  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
238  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
239am__uninstall_files_from_dir = { \
240  test -z "$$files" \
241    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
242    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
243         $(am__cd) "$$dir" && rm -f $$files; }; \
244  }
245man8dir = $(mandir)/man8
246NROFF = nroff
247MANS = $(man_MANS)
248am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
249# Read a list of newline-separated strings from the standard input,
250# and print each of them once, without duplicates.  Input order is
251# *not* preserved.
252am__uniquify_input = $(AWK) '\
253  BEGIN { nonempty = 0; } \
254  { items[$$0] = 1; nonempty = 1; } \
255  END { if (nonempty) { for (i in items) print i; }; } \
256'
257# Make sure the list of sources is unique.  This is necessary because,
258# e.g., the same source file might be shared among _SOURCES variables
259# for different programs/libraries.
260am__define_uniq_tagged_files = \
261  list='$(am__tagged_files)'; \
262  unique=`for i in $$list; do \
263    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
264  done | $(am__uniquify_input)`
265ETAGS = etags
266CTAGS = ctags
267am__tty_colors_dummy = \
268  mgn= red= grn= lgn= blu= brg= std=; \
269  am__color_tests=no
270am__tty_colors = { \
271  $(am__tty_colors_dummy); \
272  if test "X$(AM_COLOR_TESTS)" = Xno; then \
273    am__color_tests=no; \
274  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
275    am__color_tests=yes; \
276  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
277    am__color_tests=yes; \
278  fi; \
279  if test $$am__color_tests = yes; then \
280    red='[0;31m'; \
281    grn='[0;32m'; \
282    lgn='[1;32m'; \
283    blu='[1;34m'; \
284    mgn='[0;35m'; \
285    brg='[1m'; \
286    std='[m'; \
287  fi; \
288}
289am__recheck_rx = ^[     ]*:recheck:[    ]*
290am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
291am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
292# A command that, given a newline-separated list of test names on the
293# standard input, print the name of the tests that are to be re-run
294# upon "make recheck".
295am__list_recheck_tests = $(AWK) '{ \
296  recheck = 1; \
297  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
298    { \
299      if (rc < 0) \
300        { \
301          if ((getline line2 < ($$0 ".log")) < 0) \
302            recheck = 0; \
303          break; \
304        } \
305      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
306        { \
307          recheck = 0; \
308          break; \
309        } \
310      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
311        { \
312          break; \
313        } \
314    }; \
315  if (recheck) \
316    print $$0; \
317  close ($$0 ".trs"); \
318  close ($$0 ".log"); \
319}'
320# A command that, given a newline-separated list of test names on the
321# standard input, create the global log from their .trs and .log files.
322am__create_global_log = $(AWK) ' \
323function fatal(msg) \
324{ \
325  print "fatal: making $@: " msg | "cat >&2"; \
326  exit 1; \
327} \
328function rst_section(header) \
329{ \
330  print header; \
331  len = length(header); \
332  for (i = 1; i <= len; i = i + 1) \
333    printf "="; \
334  printf "\n\n"; \
335} \
336{ \
337  copy_in_global_log = 1; \
338  global_test_result = "RUN"; \
339  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
340    { \
341      if (rc < 0) \
342         fatal("failed to read from " $$0 ".trs"); \
343      if (line ~ /$(am__global_test_result_rx)/) \
344        { \
345          sub("$(am__global_test_result_rx)", "", line); \
346          sub("[        ]*$$", "", line); \
347          global_test_result = line; \
348        } \
349      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
350        copy_in_global_log = 0; \
351    }; \
352  if (copy_in_global_log) \
353    { \
354      rst_section(global_test_result ": " $$0); \
355      while ((rc = (getline line < ($$0 ".log"))) != 0) \
356      { \
357        if (rc < 0) \
358          fatal("failed to read from " $$0 ".log"); \
359        print line; \
360      }; \
361      printf "\n"; \
362    }; \
363  close ($$0 ".trs"); \
364  close ($$0 ".log"); \
365}'
366# Restructured Text title.
367am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
368# Solaris 10 'make', and several other traditional 'make' implementations,
369# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
370# by disabling -e (using the XSI extension "set +e") if it's set.
371am__sh_e_setup = case $$- in *e*) set +e;; esac
372# Default flags passed to test drivers.
373am__common_driver_flags = \
374  --color-tests "$$am__color_tests" \
375  --enable-hard-errors "$$am__enable_hard_errors" \
376  --expect-failure "$$am__expect_failure"
377# To be inserted before the command running the test.  Creates the
378# directory for the log if needed.  Stores in $dir the directory
379# containing $f, in $tst the test, in $log the log.  Executes the
380# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
381# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
382# will run the test scripts (or their associated LOG_COMPILER, if
383# thy have one).
384am__check_pre = \
385$(am__sh_e_setup);                                      \
386$(am__vpath_adj_setup) $(am__vpath_adj)                 \
387$(am__tty_colors);                                      \
388srcdir=$(srcdir); export srcdir;                        \
389case "$@" in                                            \
390  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
391    *) am__odir=.;;                                     \
392esac;                                                   \
393test "x$$am__odir" = x"." || test -d "$$am__odir"       \
394  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
395if test -f "./$$f"; then dir=./;                        \
396elif test -f "$$f"; then dir=;                          \
397else dir="$(srcdir)/"; fi;                              \
398tst=$$dir$$f; log='$@';                                 \
399if test -n '$(DISABLE_HARD_ERRORS)'; then               \
400  am__enable_hard_errors=no;                            \
401else                                                    \
402  am__enable_hard_errors=yes;                           \
403fi;                                                     \
404case " $(XFAIL_TESTS) " in                              \
405  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
406    am__expect_failure=yes;;                            \
407  *)                                                    \
408    am__expect_failure=no;;                             \
409esac;                                                   \
410$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
411# A shell command to get the names of the tests scripts with any registered
412# extension removed (i.e., equivalently, the names of the test logs, with
413# the '.log' extension removed).  The result is saved in the shell variable
414# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
415# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
416# since that might cause problem with VPATH rewrites for suffix-less tests.
417# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
418am__set_TESTS_bases = \
419  bases='$(TEST_LOGS)'; \
420  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
421  bases=`echo $$bases`
422RECHECK_LOGS = $(TEST_LOGS)
423AM_RECURSIVE_TARGETS = check recheck
424TEST_SUITE_LOG = test-suite.log
425TEST_EXTENSIONS =  .test
426am__test_logs1 = $(TESTS:=.log)
427am__test_logs2 = $(am__test_logs1:.log=.log)
428TEST_LOGS = $(am__test_logs2:.test.log=.log)
429TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
430TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
431        $(TEST_LOG_FLAGS)
432am__set_b = \
433  case '$@' in \
434    */*) \
435      case '$*' in \
436        */*) b='$*';; \
437          *) b=`echo '$@' | sed 's/\.log$$//'`; \
438       esac;; \
439    *) \
440      b='$*';; \
441  esac
442am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/cfgaux/depcomp \
443        $(top_srcdir)/cfgaux/test-driver $(top_srcdir)/src/Common.am
444DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
445ACLOCAL = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing aclocal-1.15
446ADAPTATION_LIBS = adaptation/libadaptation.la
447ALLOCA =
448AMTAR = $${TAR-tar}
449AM_DEFAULT_VERBOSITY = 1
450AR = /usr/bin/ar
451AR_R = /usr/bin/ar r
452AUTH_LIBS_TO_BUILD =  basic/libbasic.la digest/libdigest.la negotiate/libnegotiate.la ntlm/libntlm.la
453AUTH_MODULES =  basic digest negotiate ntlm
454AUTOCONF = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing autoconf
455AUTOHEADER = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing autoheader
456AUTOMAKE = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing automake-1.15
457AWK = gawk
458BASIC_AUTH_HELPERS =  DB fake getpwnam LDAP NCSA NIS PAM POP3 RADIUS SASL SMB
459BUILDCXX = g++
460BUILDCXXFLAGS = -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -Wl,-Bsymbolic-functions -fPIE -pie -Wl,-z,relro -Wl,-z,now
461BZR =
462CACHE_EFFECTIVE_USER = proxy
463CC = gcc
464CCDEPMODE = depmode=none
465CFLAGS = -m64 -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -Wall
466CGIEXT = .cgi
467CHMOD = /bin/chmod
468CPP = gcc -E
469CPPFLAGS = -I/usr/include/libxml2 -Wdate-time -D_FORTIFY_SOURCE=2
470CPPUNITCONFIG = /usr/bin/cppunit-config
471CRYPTLIB = -lcrypt
472CXX = g++
473CXXCPP = g++ -E
474CXXDEPMODE = depmode=none
475CXXFLAGS = -m64  -I/usr/include/p11-kit-1 -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -std=c++11
476CYGPATH_W = echo
477DEFAULT_HOSTS = /etc/hosts
478DEFAULT_LOG_DIR = /var/log/squid-ssl
479DEFAULT_PID_FILE = /var/run/squid-ssl.pid
480DEFAULT_SWAP_DIR = /var/spool/squid-ssl
481DEFS = -DHAVE_CONFIG_H
482DEPDIR = .deps
483DIGEST_AUTH_HELPERS =  file LDAP
484DISK_LIBS =  libAIO.a libBlocking.a libDiskDaemon.a libDiskThreads.a libIpcIo.a libMmapped.a
485DISK_LINKOBJS =  DiskIO/AIO/AIODiskIOModule.o DiskIO/Blocking/BlockingDiskIOModule.o DiskIO/DiskDaemon/DiskDaemonDiskIOModule.o DiskIO/DiskThreads/DiskThreadsDiskIOModule.o DiskIO/IpcIo/IpcIoDiskIOModule.o DiskIO/Mmapped/MmappedDiskIOModule.o
486DISK_MODULES =  AIO Blocking DiskDaemon DiskThreads IpcIo Mmapped
487DISK_OS_LIBS =  -lrt -lpthread
488DISK_PROGRAMS =  DiskIO/DiskDaemon/diskd
489DLLTOOL = false
490DSYMUTIL =
491DUMPBIN =
492ECAP_LIBS = ecap/libsquid-ecap.la
493ECHO_C =
494ECHO_N = -n
495ECHO_T =
496EGREP = /bin/egrep
497EPOLL_LIBS =
498EUILIB =
499EXEEXT =
500EXPATLIB = -lexpat
501EXTERNAL_ACL_HELPERS =  file_userip kerberos_ldap_group LDAP_group session SQL_session unix_group wbinfo_group
502EXT_LIBECAP_CFLAGS =
503EXT_LIBECAP_LIBS = -lecap
504FALSE = /bin/false
505FGREP = /bin/fgrep
506GREP = grep
507HAVE_CXX11 = 1
508ICAP_LIBS = icap/libicap.la
509INCLTDL =
510INSTALL = /usr/bin/install -c
511INSTALL_DATA = ${INSTALL} -m 644
512INSTALL_PROGRAM = ${INSTALL}
513INSTALL_SCRIPT = ${INSTALL}
514INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
515KRB5INCS = -isystem /usr/include/mit-krb5
516KRB5LIBS =  -L/usr/lib/x86_64-linux-gnu/mit-krb5 -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err
517LBERLIB = -llber
518LD = /usr/bin/ld -m elf_x86_64
519LDAPLIB = -lldap
520LDFLAGS = -m64 -Wl,-Bsymbolic-functions -fPIE -pie -Wl,-z,relro -Wl,-z,now
521LIBADD_DL = -ldl
522LIBADD_DLD_LINK =
523LIBADD_DLOPEN = -ldl
524LIBADD_SHL_LOAD =
525LIBGNUTLS_CFLAGS = -I/usr/include/p11-kit-1
526LIBGNUTLS_LIBS = -lgnutls
527LIBLTDL = -lltdl
528LIBOBJS =
529LIBOPENSSL_CFLAGS =
530LIBOPENSSL_LIBS = -lssl -lcrypto
531LIBS =
532LIBSASL = -lsasl2
533LIBTOOL = $(SHELL) $(top_builddir)/libtool
534LIB_DB = -ldb
535LIB_KRB5_CFLAGS = -isystem /usr/include/mit-krb5
536LIB_KRB5_LIBS = -L/usr/lib/x86_64-linux-gnu/mit-krb5 -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err
537LINUXDOC = /bin/false
538LIPO =
539LN = /bin/ln
540LN_S = ln -s
541LOG_DAEMON_HELPERS =  DB file
542LTDLDEPS =
543LTDLINCL =
544LTDLOPEN = libltdl
545LTLIBOBJS =
546LT_ARGZ_H =
547LT_CONFIG_H = include/autoconf.h
548LT_DLLOADERS =  libltdl/dlopen.la
549LT_DLPREOPEN = -dlpreopen libltdl/dlopen.la
550LT_SYS_LIBRARY_PATH =
551MAINT = #
552MAKEINFO = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing makeinfo
553MANIFEST_TOOL = :
554MINGW_LIBS =
555MKDIR = /bin/mkdir
556MKDIR_P = /bin/mkdir -p
557MV = /bin/mv
558NEGOTIATE_AUTH_HELPERS =  kerberos wrapper
559NETTLELIB =  -lnettle
560NM = /usr/bin/nm -B
561NMEDIT =
562NTLM_AUTH_HELPERS =  fake smb_lm
563OBJDUMP = objdump
564OBJEXT = o
565OTOOL =
566OTOOL64 =
567PACKAGE = squid
568PACKAGE_BUGREPORT = http://bugs.squid-cache.org/
569PACKAGE_NAME = Squid Web Proxy
570PACKAGE_STRING = Squid Web Proxy 3.5.12
571PACKAGE_TARNAME = squid
572PACKAGE_URL =
573PACKAGE_VERSION = 3.5.12
574PATH_SEPARATOR = :
575PERL = /usr/bin/perl
576PKG_CONFIG = /usr/bin/pkg-config
577PKG_CONFIG_LIBDIR =
578PKG_CONFIG_PATH =
579PO2HTML = off
580PO2TEXT = off
581POD2MAN = /usr/bin/pod2man
582RANLIB = ranlib
583REGEXLIB =
584REPL_LIBS = liblru.a libheap.a
585REPL_OBJS = repl/liblru.a repl/libheap.a
586REPL_POLICIES = lru heap
587RM = /bin/rm -f
588SED = /bin/sed
589SET_MAKE =
590SH = /bin/sh
591SHELL = /bin/bash
592SMBCLIENT = /usr/bin/smbclient
593SNMPLIB = ../lib/snmplib/libsnmplib.la
594SQUID_CFLAGS = -Wall -Wpointer-arith -Wwrite-strings -Wmissing-prototypes -Wmissing-declarations -Wcomments -Wshadow -Werror -pipe -D_REENTRANT
595SQUID_CPPUNIT_INC =
596SQUID_CPPUNIT_LA =
597SQUID_CPPUNIT_LIBS = -L/usr/lib/x86_64-linux-gnu -lcppunit -ldl
598SQUID_CXXFLAGS = -I/usr/include/libxml2 -Wall -Wpointer-arith -Wwrite-strings -Wcomments -Wshadow -Werror -pipe -D_REENTRANT
599SSLLIB =  -lssl -lcrypto  -lgnutls
600STOREID_REWRITE_HELPERS =  file
601STORE_LIBS_TO_ADD =  fs/libufs.la fs/libaufs.la fs/libdiskd.la fs/librock.la
602STORE_LIBS_TO_BUILD =  libufs.la libaufs.la libdiskd.la librock.la
603STORE_TESTS =
604STRIP = strip
605TR = /usr/bin/tr
606TRUE = /bin/true
607URL_REWRITE_HELPERS =  fake
608VERSION = 3.5.12
609WBINFO =
610WIN32_PSAPI =
611XMLLIB = -lxml2
612XTRA_LIBS = -lm -lnsl -lresolv -lcap -lnetfilter_conntrack -lrt
613XTRA_OBJS =
614abs_builddir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/helpers/external_acl/AD_group
615abs_srcdir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/helpers/external_acl/AD_group
616abs_top_builddir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes
617abs_top_srcdir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes
618ac_ct_AR =
619ac_ct_CC = gcc
620ac_ct_CXX = g++
621ac_ct_DUMPBIN =
622am__include = include
623am__leading_dot = .
624am__quote =
625am__tar = tar --format=ustar -chf - "$$tardir"
626am__untar = tar -xf -
627bindir = ${exec_prefix}/bin
628build = x86_64-pc-linux-gnu
629build_alias = x86_64-linux-gnu
630build_cpu = x86_64
631build_os = linux-gnu
632build_vendor = pc
633builddir = .
634datadir = /usr/share/squid-ssl
635datarootdir = ${prefix}/share
636docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
637dvidir = ${docdir}
638exec_prefix = ${prefix}
639host = x86_64-pc-linux-gnu
640host_alias =
641host_cpu = x86_64
642host_os = linux-gnu
643host_vendor = pc
644htmldir = ${docdir}
645includedir = ${prefix}/include
646infodir = ${prefix}/share/info
647install_sh = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/install-sh
648krb5_config =
649libdir = ${exec_prefix}/lib
650libexecdir = /usr/lib/squid-ssl
651localedir = ${datarootdir}/locale
652localstatedir = /var
653ltdl_LIBOBJS =  lt__strl.o
654ltdl_LTLIBOBJS =  lt__strl.lo
655mandir = /usr/share/man
656mkdir_p = $(MKDIR_P)
657oldincludedir = /usr/include
658pdfdir = ${docdir}
659prefix = /usr
660program_transform_name = s&$$&-ssl&
661psdir = ${docdir}
662runstatedir = ${localstatedir}/run
663sbindir = ${exec_prefix}/sbin
664sharedstatedir = ${prefix}/com
665srcdir = .
666subdirs =  libltdl
667sys_symbol_underscore = no
668sysconfdir = /etc/squid-ssl
669target_alias =
670top_build_prefix = ../../../
671top_builddir = ../../..
672top_srcdir = ../../..
673AM_CFLAGS = $(SQUID_CFLAGS)
674AM_CXXFLAGS = $(SQUID_CXXFLAGS)
675CLEANFILES =
676AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
677        -I$(top_srcdir)/lib -I$(top_srcdir)/src \
678        -I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
679        $(am__append_1)
680LIBPROFILER =
681#LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
682COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
683subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
684ext_ad_group_acl_SOURCES = ext_ad_group_acl.cc
685man_MANS = ext_ad_group_acl.8
686
687#
688# Currently activeds and adsiid libraries are not available on MinGW or Cygwin,
689# so the following library list is just a placeholder for future MinGW/Cygwin releases.
690# This helper can be compiled only using Microsoft Visual Studio.
691# TODO: test for these libraries in required.m4
692#
693LDADD = \
694        $(COMPAT_LIB) \
695        -lnetapi32 \
696        -ladvapi32 \
697        -lole32 \
698        -loleaut32 \
699        -lntdll \
700        -lactiveds \
701        -ladsiid \
702        $(XTRA_LIBS)
703
704EXTRA_DIST = required.m4 ext_ad_group_acl.8
705all: all-am
706
707.SUFFIXES:
708.SUFFIXES: .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
709$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(am__configure_deps)
710        @for dep in $?; do \
711          case '$(am__configure_deps)' in \
712            *$$dep*) \
713              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
714                && { if test -f $@; then exit 0; else break; fi; }; \
715              exit 1;; \
716          esac; \
717        done; \
718        echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu helpers/external_acl/AD_group/Makefile'; \
719        $(am__cd) $(top_srcdir) && \
720          $(AUTOMAKE) --gnu helpers/external_acl/AD_group/Makefile
721Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
722        @case '$?' in \
723          *config.status*) \
724            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
725          *) \
726            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
727            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
728        esac;
729$(top_srcdir)/src/Common.am $(am__empty):
730
731$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
732        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
733
734$(top_srcdir)/configure: # $(am__configure_deps)
735        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
736$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
737        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
738$(am__aclocal_m4_deps):
739
740clean-checkPROGRAMS:
741        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
742        echo " rm -f" $$list; \
743        rm -f $$list || exit $$?; \
744        test -n "$(EXEEXT)" || exit 0; \
745        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
746        echo " rm -f" $$list; \
747        rm -f $$list
748install-libexecPROGRAMS: $(libexec_PROGRAMS)
749        @$(NORMAL_INSTALL)
750        @list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
751        if test -n "$$list"; then \
752          echo " $(MKDIR_P) '$(DESTDIR)$(libexecdir)'"; \
753          $(MKDIR_P) "$(DESTDIR)$(libexecdir)" || exit 1; \
754        fi; \
755        for p in $$list; do echo "$$p $$p"; done | \
756        sed 's/$(EXEEXT)$$//' | \
757        while read p p1; do if test -f $$p \
758         || test -f $$p1 \
759          ; then echo "$$p"; echo "$$p"; else :; fi; \
760        done | \
761        sed -e 'p;s,.*/,,;n;h' \
762            -e 's|.*|.|' \
763            -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
764        sed 'N;N;N;s,\n, ,g' | \
765        $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
766          { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
767            if ($$2 == $$4) files[d] = files[d] " " $$1; \
768            else { print "f", $$3 "/" $$4, $$1; } } \
769          END { for (d in files) print "f", d, files[d] }' | \
770        while read type dir files; do \
771            if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
772            test -z "$$files" || { \
773            echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(libexecdir)$$dir'"; \
774            $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(libexecdir)$$dir" || exit $$?; \
775            } \
776        ; done
777
778uninstall-libexecPROGRAMS:
779        @$(NORMAL_UNINSTALL)
780        @list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
781        files=`for p in $$list; do echo "$$p"; done | \
782          sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
783              -e 's/$$/$(EXEEXT)/' \
784        `; \
785        test -n "$$list" || exit 0; \
786        echo " ( cd '$(DESTDIR)$(libexecdir)' && rm -f" $$files ")"; \
787        cd "$(DESTDIR)$(libexecdir)" && rm -f $$files
788
789clean-libexecPROGRAMS:
790        @list='$(libexec_PROGRAMS)'; test -n "$$list" || exit 0; \
791        echo " rm -f" $$list; \
792        rm -f $$list || exit $$?; \
793        test -n "$(EXEEXT)" || exit 0; \
794        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
795        echo " rm -f" $$list; \
796        rm -f $$list
797
798ext_ad_group_acl$(EXEEXT): $(ext_ad_group_acl_OBJECTS) $(ext_ad_group_acl_DEPENDENCIES) $(EXTRA_ext_ad_group_acl_DEPENDENCIES) 
799        @rm -f ext_ad_group_acl$(EXEEXT)
800        $(AM_V_CXXLD)$(CXXLINK) $(ext_ad_group_acl_OBJECTS) $(ext_ad_group_acl_LDADD) $(LIBS)
801
802mostlyclean-compile:
803        -rm -f *.$(OBJEXT)
804
805distclean-compile:
806        -rm -f *.tab.c
807
808#include ./$(DEPDIR)/ext_ad_group_acl.Po
809
810.cc.o:
811#       $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
812#       $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
813#       $(am__mv) $$depbase.Tpo $$depbase.Po
814#       $(AM_V_CXX)source='$<' object='$@' libtool=no
815#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
816        $(AM_V_CXX)$(CXXCOMPILE) -c -o $@ $<
817
818.cc.obj:
819#       $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
820#       $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
821#       $(am__mv) $$depbase.Tpo $$depbase.Po
822#       $(AM_V_CXX)source='$<' object='$@' libtool=no
823#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
824        $(AM_V_CXX)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
825
826.cc.lo:
827#       $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
828#       $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
829#       $(am__mv) $$depbase.Tpo $$depbase.Plo
830#       $(AM_V_CXX)source='$<' object='$@' libtool=yes
831#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
832        $(AM_V_CXX)$(LTCXXCOMPILE) -c -o $@ $<
833
834mostlyclean-libtool:
835        -rm -f *.lo
836
837clean-libtool:
838        -rm -rf .libs _libs
839install-man8: $(man_MANS)
840        @$(NORMAL_INSTALL)
841        @list1=''; \
842        list2='$(man_MANS)'; \
843        test -n "$(man8dir)" \
844          && test -n "`echo $$list1$$list2`" \
845          || exit 0; \
846        echo " $(MKDIR_P) '$(DESTDIR)$(man8dir)'"; \
847        $(MKDIR_P) "$(DESTDIR)$(man8dir)" || exit 1; \
848        { for i in $$list1; do echo "$$i"; done\
849        if test -n "$$list2"; then \
850          for i in $$list2; do echo "$$i"; done \
851            | sed -n '/\.8[a-z]*$$/p'; \
852        fi; \
853        } | while read p; do \
854          if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
855          echo "$$d$$p"; echo "$$p"; \
856        done | \
857        sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
858              -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
859        sed 'N;N;s,\n, ,g' | { \
860        list=; while read file base inst; do \
861          if test "$$base" = "$$inst"; then list="$$list $$file"; else \
862            echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man8dir)/$$inst'"; \
863            $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man8dir)/$$inst" || exit $$?; \
864          fi; \
865        done; \
866        for i in $$list; do echo "$$i"; done | $(am__base_list) | \
867        while read files; do \
868          test -z "$$files" || { \
869            echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man8dir)'"; \
870            $(INSTALL_DATA) $$files "$(DESTDIR)$(man8dir)" || exit $$?; }; \
871        done; }
872
873uninstall-man8:
874        @$(NORMAL_UNINSTALL)
875        @list=''; test -n "$(man8dir)" || exit 0; \
876        files=`{ for i in $$list; do echo "$$i"; done; \
877        l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
878          sed -n '/\.8[a-z]*$$/p'; \
879        } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
880              -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
881        dir='$(DESTDIR)$(man8dir)'; $(am__uninstall_files_from_dir)
882
883ID: $(am__tagged_files)
884        $(am__define_uniq_tagged_files); mkid -fID $$unique
885tags: tags-am
886TAGS: tags
887
888tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
889        set x; \
890        here=`pwd`; \
891        $(am__define_uniq_tagged_files); \
892        shift; \
893        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
894          test -n "$$unique" || unique=$$empty_fix; \
895          if test $$# -gt 0; then \
896            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
897              "$$@" $$unique; \
898          else \
899            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
900              $$unique; \
901          fi; \
902        fi
903ctags: ctags-am
904
905CTAGS: ctags
906ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
907        $(am__define_uniq_tagged_files); \
908        test -z "$(CTAGS_ARGS)$$unique" \
909          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
910             $$unique
911
912GTAGS:
913        here=`$(am__cd) $(top_builddir) && pwd` \
914          && $(am__cd) $(top_srcdir) \
915          && gtags -i $(GTAGS_ARGS) "$$here"
916cscopelist: cscopelist-am
917
918cscopelist-am: $(am__tagged_files)
919        list='$(am__tagged_files)'; \
920        case "$(srcdir)" in \
921          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
922          *) sdir=$(subdir)/$(srcdir) ;; \
923        esac; \
924        for i in $$list; do \
925          if test -f "$$i"; then \
926            echo "$(subdir)/$$i"; \
927          else \
928            echo "$$sdir/$$i"; \
929          fi; \
930        done >> $(top_builddir)/cscope.files
931
932distclean-tags:
933        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
934
935# Recover from deleted '.trs' file; this should ensure that
936# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
937# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
938# to avoid problems with "make -n".
939.log.trs:
940        rm -f $< $@
941        $(MAKE) $(AM_MAKEFLAGS) $<
942
943# Leading 'am--fnord' is there to ensure the list of targets does not
944# expand to empty, as could happen e.g. with make check TESTS=''.
945am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
946am--force-recheck:
947        @:
948
949$(TEST_SUITE_LOG): $(TEST_LOGS)
950        @$(am__set_TESTS_bases); \
951        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
952        redo_bases=`for i in $$bases; do \
953                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
954                    done`; \
955        if test -n "$$redo_bases"; then \
956          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
957          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
958          if $(am__make_dryrun); then :; else \
959            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
960          fi; \
961        fi; \
962        if test -n "$$am__remaking_logs"; then \
963          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
964               "recursion detected" >&2; \
965        elif test -n "$$redo_logs"; then \
966          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
967        fi; \
968        if $(am__make_dryrun); then :; else \
969          st=0;  \
970          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
971          for i in $$redo_bases; do \
972            test -f $$i.trs && test -r $$i.trs \
973              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
974            test -f $$i.log && test -r $$i.log \
975              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
976          done; \
977          test $$st -eq 0 || exit 1; \
978        fi
979        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
980        ws='[   ]'; \
981        results=`for b in $$bases; do echo $$b.trs; done`; \
982        test -n "$$results" || results=/dev/null; \
983        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
984        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
985        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
986        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
987        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
988        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
989        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
990        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
991          success=true; \
992        else \
993          success=false; \
994        fi; \
995        br='==================='; br=$$br$$br$$br$$br; \
996        result_count () \
997        { \
998            if test x"$$1" = x"--maybe-color"; then \
999              maybe_colorize=yes; \
1000            elif test x"$$1" = x"--no-color"; then \
1001              maybe_colorize=no; \
1002            else \
1003              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
1004            fi; \
1005            shift; \
1006            desc=$$1 count=$$2; \
1007            if test $$maybe_colorize = yes && test $$count -gt 0; then \
1008              color_start=$$3 color_end=$$std; \
1009            else \
1010              color_start= color_end=; \
1011            fi; \
1012            echo "$${color_start}# $$desc $$count$${color_end}"; \
1013        }; \
1014        create_testsuite_report () \
1015        { \
1016          result_count $$1 "TOTAL:" $$all   "$$brg"; \
1017          result_count $$1 "PASS: " $$pass  "$$grn"; \
1018          result_count $$1 "SKIP: " $$skip  "$$blu"; \
1019          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
1020          result_count $$1 "FAIL: " $$fail  "$$red"; \
1021          result_count $$1 "XPASS:" $$xpass "$$red"; \
1022          result_count $$1 "ERROR:" $$error "$$mgn"; \
1023        }; \
1024        {                                                               \
1025          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
1026            $(am__rst_title);                                           \
1027          create_testsuite_report --no-color;                           \
1028          echo;                                                         \
1029          echo ".. contents:: :depth: 2";                               \
1030          echo;                                                         \
1031          for b in $$bases; do echo $$b; done                           \
1032            | $(am__create_global_log);                                 \
1033        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
1034        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
1035        if $$success; then                                              \
1036          col="$$grn";                                                  \
1037         else                                                           \
1038          col="$$red";                                                  \
1039          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
1040        fi;                                                             \
1041        echo "$${col}$$br$${std}";                                      \
1042        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
1043        echo "$${col}$$br$${std}";                                      \
1044        create_testsuite_report --maybe-color;                          \
1045        echo "$$col$$br$$std";                                          \
1046        if $$success; then :; else                                      \
1047          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
1048          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
1049            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
1050          fi;                                                           \
1051          echo "$$col$$br$$std";                                        \
1052        fi;                                                             \
1053        $$success || exit 1
1054
1055check-TESTS:
1056        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1057        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1058        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1059        @set +e; $(am__set_TESTS_bases); \
1060        log_list=`for i in $$bases; do echo $$i.log; done`; \
1061        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1062        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1063        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1064        exit $$?;
1065recheck: all $(check_PROGRAMS)
1066        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1067        @set +e; $(am__set_TESTS_bases); \
1068        bases=`for i in $$bases; do echo $$i; done \
1069                 | $(am__list_recheck_tests)` || exit 1; \
1070        log_list=`for i in $$bases; do echo $$i.log; done`; \
1071        log_list=`echo $$log_list`; \
1072        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1073                am__force_recheck=am--force-recheck \
1074                TEST_LOGS="$$log_list"; \
1075        exit $$?
1076.test.log:
1077        @p='$<'; \
1078        $(am__set_b); \
1079        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1080        --log-file $$b.log --trs-file $$b.trs \
1081        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1082        "$$tst" $(AM_TESTS_FD_REDIRECT)
1083#.test$(EXEEXT).log:
1084#       @p='$<'; \
1085#       $(am__set_b); \
1086#       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1087#       --log-file $$b.log --trs-file $$b.trs \
1088#       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1089#       "$$tst" $(AM_TESTS_FD_REDIRECT)
1090
1091distdir: $(DISTFILES)
1092        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1093        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1094        list='$(DISTFILES)'; \
1095          dist_files=`for file in $$list; do echo $$file; done | \
1096          sed -e "s|^$$srcdirstrip/||;t" \
1097              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1098        case $$dist_files in \
1099          */*) $(MKDIR_P) `echo "$$dist_files" | \
1100                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1101                           sort -u` ;; \
1102        esac; \
1103        for file in $$dist_files; do \
1104          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1105          if test -d $$d/$$file; then \
1106            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1107            if test -d "$(distdir)/$$file"; then \
1108              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1109            fi; \
1110            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1111              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1112              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1113            fi; \
1114            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1115          else \
1116            test -f "$(distdir)/$$file" \
1117            || cp -p $$d/$$file "$(distdir)/$$file" \
1118            || exit 1; \
1119          fi; \
1120        done
1121check-am: all-am
1122        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1123        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1124check: check-am
1125all-am: Makefile $(PROGRAMS) $(MANS)
1126installdirs:
1127        for dir in "$(DESTDIR)$(libexecdir)" "$(DESTDIR)$(man8dir)"; do \
1128          test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1129        done
1130install: install-am
1131install-exec: install-exec-am
1132install-data: install-data-am
1133uninstall: uninstall-am
1134
1135install-am: all-am
1136        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1137
1138installcheck: installcheck-am
1139install-strip:
1140        if test -z '$(STRIP)'; then \
1141          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1142            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1143              install; \
1144        else \
1145          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1146            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1147            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1148        fi
1149mostlyclean-generic:
1150        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1151        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1152        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1153
1154clean-generic:
1155        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1156
1157distclean-generic:
1158        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1159        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1160
1161maintainer-clean-generic:
1162        @echo "This command is intended for maintainers to use"
1163        @echo "it deletes files that may require special tools to rebuild."
1164clean: clean-am
1165
1166clean-am: clean-checkPROGRAMS clean-generic clean-libexecPROGRAMS \
1167        clean-libtool mostlyclean-am
1168
1169distclean: distclean-am
1170        -rm -rf ./$(DEPDIR)
1171        -rm -f Makefile
1172distclean-am: clean-am distclean-compile distclean-generic \
1173        distclean-tags
1174
1175dvi: dvi-am
1176
1177dvi-am:
1178
1179html: html-am
1180
1181html-am:
1182
1183info: info-am
1184
1185info-am:
1186
1187install-data-am: install-man
1188
1189install-dvi: install-dvi-am
1190
1191install-dvi-am:
1192
1193install-exec-am: install-libexecPROGRAMS
1194
1195install-html: install-html-am
1196
1197install-html-am:
1198
1199install-info: install-info-am
1200
1201install-info-am:
1202
1203install-man: install-man8
1204
1205install-pdf: install-pdf-am
1206
1207install-pdf-am:
1208
1209install-ps: install-ps-am
1210
1211install-ps-am:
1212
1213installcheck-am:
1214
1215maintainer-clean: maintainer-clean-am
1216        -rm -rf ./$(DEPDIR)
1217        -rm -f Makefile
1218maintainer-clean-am: distclean-am maintainer-clean-generic
1219
1220mostlyclean: mostlyclean-am
1221
1222mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1223        mostlyclean-libtool
1224
1225pdf: pdf-am
1226
1227pdf-am:
1228
1229ps: ps-am
1230
1231ps-am:
1232
1233uninstall-am: uninstall-libexecPROGRAMS uninstall-man
1234
1235uninstall-man: uninstall-man8
1236
1237.MAKE: check-am install-am install-strip
1238
1239.PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1240        clean-checkPROGRAMS clean-generic clean-libexecPROGRAMS \
1241        clean-libtool cscopelist-am ctags ctags-am distclean \
1242        distclean-compile distclean-generic distclean-libtool \
1243        distclean-tags distdir dvi dvi-am html html-am info info-am \
1244        install install-am install-data install-data-am install-dvi \
1245        install-dvi-am install-exec install-exec-am install-html \
1246        install-html-am install-info install-info-am \
1247        install-libexecPROGRAMS install-man install-man8 install-pdf \
1248        install-pdf-am install-ps install-ps-am install-strip \
1249        installcheck installcheck-am installdirs maintainer-clean \
1250        maintainer-clean-generic mostlyclean mostlyclean-compile \
1251        mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1252        recheck tags tags-am uninstall uninstall-am \
1253        uninstall-libexecPROGRAMS uninstall-man uninstall-man8
1254
1255.PRECIOUS: Makefile
1256
1257
1258$(OBJS): $(top_srcdir)/include/version.h $(top_builddir)/include/autoconf.h
1259
1260# Tell versions [3.59,3.63) of GNU make to not export all variables.
1261# Otherwise a system limit (for SysV at least) may be exceeded.
1262.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.